> ## Documentation Index
> Fetch the complete documentation index at: https://docs.crun.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Wan 2.6 Image

> Tongyi wan image model supports image editing and text-to-image generation, offering a wide range of artistic styles and realistic photographic effects to meet diverse creative needs.

## Query Task Status

After submitting a task, use the unified query endpoint to check progress and retrieve results:

<Card title="Get Task Info" icon="magnifying-glass" href="/models/common/get-task-info">
  Learn how to query task status and retrieve generation results
</Card>

<Tip>
  For production use, we recommend using the `callback_url` parameter to receive automatic notifications when generation completes, rather than polling the status endpoint.
</Tip>

## Related Resources

<CardGroup cols={2}>
  <Card title="Models Overview" icon="store" href="/models/quickstart">
    Explore all available models
  </Card>

  <Card title="Common API" icon="gear" href="/common-api/get-account-credits">
    Check credits and account usage
  </Card>
</CardGroup>


## OpenAPI

````yaml models/wan/wan-2-6-image.json post /api/v1/client/job/CreateTask
openapi: 3.0.0
info:
  title: Crun Wan Image API
  description: crun.ai Wan Image API Documentation
  version: 1.0.0
  contact:
    name: Technical Support
    email: support@crun.ai
servers:
  - url: https://api.crun.ai
    description: API Server
security:
  - ApiKeyAuth: []
paths:
  /api/v1/client/job/CreateTask:
    post:
      summary: wan 2.6 image generation
      operationId: wan/2-6-image
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - model
                - input
              properties:
                model:
                  type: string
                  enum:
                    - wan/2-6-image
                  description: |-
                    The model name to use for generation. Required field.

                    - Must be `wan/2-6-image` for this endpoint
                callback_url:
                  type: string
                  format: uri
                  description: >-
                    Optional. Callback URL for receiving task completion
                    notifications.


                    - System will POST task status and results to this URL when
                    generation completes

                    - Callback payloads structure is consistent with the `data`
                    object returned by the task status query

                    - Your callback endpoint should accept POST requests with
                    JSON payload containing results

                    - It returns an HTTP 200 status code upon successful receipt
                  example: https://your-domain.com/api/callback
                input:
                  type: object
                  description: >-
                    Input parameters for the Wan 2.6 image generation and
                    editing model.
                  properties:
                    prompt:
                      type: string
                      description: >-
                        The text prompt describing the image. Supports detailed
                        descriptions up to 2000 characters.
                      minLength: 1
                      maxLength: 2000
                      example: >-
                        A cinematic shot of a cyberpunk street market, rain
                        reflecting neon signs, high detail, 8k.
                    negative_prompt:
                      type: string
                      description: Elements to exclude from the generated image.
                      maxLength: 500
                      example: blurry, distorted, low resolution, text
                    img_urls:
                      type: array
                      description: >-
                        Perform editing, style transfer, or subject-consistent
                        generation based on 1 to 4 input images.


                        **Image Restrictions**:


                        - **Image Formats**: JPEG, JPG, PNG (transparency not
                        supported), BMP, WEBP.

                        - **Image Resolution**: Both the width and height of the
                        image must be between 384 and 5000 pixels, inclusive.

                        - **File Size**: No more than 10 MB.
                      items:
                        type: string
                        format: uri
                      minItems: 1
                      maxItems: 4
                      example:
                        - https://example.com/ref-style.jpg
                    aspect_ratio:
                      type: string
                      description: The aspect ratio for the generated image.
                      enum:
                        - '16:9'
                        - '9:16'
                        - '4:3'
                        - '3:4'
                        - '1:1'
                      default: '16:9'
                      example: '1:1'
                    num_outputs:
                      type: integer
                      description: Number of images to generate in a single request.
                      minimum: 1
                      maximum: 4
                      default: 1
                      example: 2
                    prompt_extend:
                      type: boolean
                      description: >-
                        Whether to use the model's capability to expand and
                        polish the input prompt.


                        **Note**: only applies in image editing mode.
                      default: false
                      example: true
                  required:
                    - prompt
            example:
              model: wan/2-6-image
              callback_url: https://your-domain.com/api/callback
              input:
                prompt: >-
                  An ethereal portrait of a forest deity, wearing a crown of
                  glowing orchids, soft natural lighting.
                negative_prompt: dark, moody, scary
                img_urls:
                  - https://example.com/lighting-ref.png
                aspect_ratio: '3:4'
                num_outputs: 1
                prompt_extend: true
      responses:
        '200':
          description: Request successful
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/ApiResponse'
                  - type: object
                    properties:
                      data:
                        type: object
                        properties:
                          task_id:
                            type: string
                            description: >-
                              Task ID, can be used with Get Task Details
                              endpoint to query task status
                            example: task_12345678
              example:
                code: 200
                message: success
                data:
                  task_id: task_12345678
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/ApiResponse'
                  - type: object
                    properties:
                      errors:
                        type: array
                        description: Detailed validation error messages
                        items:
                          type: string
                        example:
                          - specific error field message
              example:
                code: 422
                message: Missing Params or Type Error
                errors:
                  - specific error field message
        '500':
          $ref: '#/components/responses/Error'
components:
  schemas:
    ApiResponse:
      type: object
      properties:
        code:
          type: integer
          enum:
            - 200
            - 401
            - 402
            - 404
            - 422
            - 429
            - 455
            - 500
            - 501
            - 505
          description: >-
            Response status code


            - **200**: Success - Request has been processed successfully

            - **401**: Unauthorized - Authentication credentials are missing or
            invalid

            - **402**: Insufficient Credits - Account does not have enough
            credits to perform the operation

            - **404**: Not Found - The requested resource or endpoint does not
            exist

            - **422**: Validation Error - The request parameters failed
            validation checks

            - **429**: Rate Limited - Request limit has been exceeded for this
            resource

            - **455**: Service Unavailable - System is currently undergoing
            maintenance

            - **500**: Server Error - An unexpected error occurred while
            processing the request

            - **501**: Generation Failed - Content generation task failed

            - **505**: Feature Disabled - The requested feature is currently
            disabled
        message:
          type: string
          description: Response message, error description when failed
          example: success
  responses:
    Error:
      description: Server Error
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: >-
        All APIs require authentication via API Key.


        Get API Key:

        1. Visit [API Key Management Page](https://crun.ai/user-api-key) to get
        your API Key


        Usage:

        Add to request header:


        x-api-key: YOUR_API_KEY


        Note:

        - Keep your API Key secure and do not share it with others

        - If you suspect your API Key has been compromised, reset it immediately
        in the management page

````